Stomp::subscribe
StompFrame
Stomp
PHP Manual

# Stomp::unsubscribe

# stomp_unsubscribe

(PECL stomp >= 0.1.0)

Stomp::unsubscribe -- stomp_unsubscribe — Removes an existing subscription

### Description

Object oriented style (method):

public bool Stomp::unsubscribe ( string `$destination` [, array `$headers` ] )

Procedural style:

bool stomp_unsubscribe ( resource `$link` , string `$destination` [, array `$headers` ] )

Removes an existing subscription.

### Parameters

`link`

  Procedural style only: The stomp link identifier returned by stomp_connect().

`destination`

  Subscription to remove.

`headers`

  Associative array containing the additional headers (example: receipt).

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Notes

Tip

Stomp is inherently asynchronous. Synchronous communication can be implemented adding a receipt header. This will cause methods to not return anything until the server has acknowledged receipt of the message or until read timeout was reached.

### Examples

See stomp_ack().

Stomp::subscribe
StompFrame
Stomp
PHP Manual